Автор Тема: Minecraft  (Прочитано 1076 раз)

Оффлайн yx

  • Постоялец
  • ***
  • Сообщений: 202
Minecraft
« : 27 Март 2016, 12:36:53 »
Сабж запустить под линуксом заставляет молодежь, которая с этого майнкрафта тащится, но игру под виндой считает не кошерной. Проблема в том, что лаунчер игры не видит джаву. Хотя, если честно, я под матунту еще запускать это не пробовал. Попытка была только под обоими рунту. Но, может, у кого есть положительный опыт?

Оффлайн ivm

  • Ветеран
  • *****
  • Сообщений: 1411
Re: Minecraft
« Ответ #1 : 27 Март 2016, 16:51:26 »
Wikipedia о Minecraft сообщает буквально следующее:
Цитировать
...Minecraft доступна для Windows, Linux, OS X, Android, iOS, Windows Phone, PlayStation 3, PlayStation Vita, PlayStation 4, Xbox 360, Xbox One и Raspberry Pi. ...
...В 2014 году компания Mojang и права на Minecraft были приобретены американской компанией Microsoft за 2,5 миллиарда долларов США...
...Minecraft является одной из самых успешных компьютерных игр в истории: по состоянию на лето 2015 года её продажи на всех платформах превысили 70 миллионов копий, из них 20 миллионов только для ПК

Так как заявлена поддержка Linux и эта игра коммерческая, если Вам за Ваши деньги не оказали техническую поддержку по сопровождению продукта, нужно обратиться в общество защиты прав потребителей по месту жительства с претензией к корпорации. Если скачали с торренттрекера, то вопрос нужно адресовать в одноимённый топик на том трекере.
Что непонятно спрашиваем, если всё понятно - пользуемся.

Оффлайн yx

  • Постоялец
  • ***
  • Сообщений: 202
Re: Minecraft
« Ответ #2 : 27 Март 2016, 17:01:10 »
идея, конечно, интересная и знаю, что народ под линуксом играет. Взять хотя бы тот же андроид.
но не факт, что дело в игре - в винде же оно работает. А пока выложу то, что оно написало в терминале
 wine VLauncher.exe
p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога
синаптик такой файл не нашел
« Последнее редактирование: 27 Март 2016, 17:04:38 от yx »

Оффлайн ivm

  • Ветеран
  • *****
  • Сообщений: 1411
Re: Minecraft
« Ответ #3 : 27 Март 2016, 17:13:16 »
Начнём с того, что если производитель заявляет о поддержке в Linux, должна быть какого-либо инструкция по установке в Linux, а не в Wine. Если рассчитывается на установку через Wine, то должны быть указаны компоненты, которые нужно доустановить в Wine и порядок Ваших действий полностью описан.
И вообще на каком железе и в какой системе ставите-то? Что пойдёт на одном компьютере, на другом не в жизнь не завестись.
Что непонятно спрашиваем, если всё понятно - пользуемся.

Оффлайн yx

  • Постоялец
  • ***
  • Сообщений: 202
Re: Minecraft
« Ответ #4 : 27 Март 2016, 18:39:42 »
самвсунг RV515, поищу оф. сайт. Чаще всего через вайн пускают, но тут интересней сделали. На оф. сайте для линукса размещен свой лаунчер, джавовский, вот такой: Minecraft.jar. Так то все неплохо, вот только он пишет ошибку. Вот такую:
FATAL ERROR: java.util.ServiceConfigurationError: sun.management.spi.PlatformMBeanProvider: Provider jdk.management.cmm.internal.PlatformMBeanProviderImpl not found
и еще 28 строчек, по видимому, разных уточнений
кто-нибудь понимает, что делать нужно?
« Последнее редактирование: 27 Март 2016, 19:24:27 от yx »

Оффлайн ivm

  • Ветеран
  • *****
  • Сообщений: 1411
Re: Minecraft
« Ответ #5 : 27 Март 2016, 20:08:50 »
Из всего сообщения об ошибке копируем первую строку
Цитировать
FATAL ERROR: java.util.ServiceConfigurationError: sun.management.spi.PlatformMBeanProvider: Provider jdk.management.cmm.internal.PlatformMBeanProviderImpl not found
и целиком вставляем в поиск гугла, который быстренько находит несколько постов с описанием именно этой ошибки. Можно даже найти багрепорт по этому поводу, а если это баг, то его должны устранять разработчики.
Что непонятно спрашиваем, если всё понятно - пользуемся.

Оффлайн Sam

  • Постоялец
  • ***
  • Сообщений: 109
  • Сэм. Просто Сэм.
Re: Minecraft
« Ответ #6 : 28 Март 2016, 12:05:29 »
самвсунг RV515, поищу оф. сайт. Чаще всего через вайн пускают, но тут интересней сделали. На оф. сайте для линукса размещен свой лаунчер, джавовский, вот такой: Minecraft.jar. Так то все неплохо, вот только он пишет ошибку. Вот такую:
FATAL ERROR: java.util.ServiceConfigurationError: sun.management.spi.PlatformMBeanProvider: Provider jdk.management.cmm.internal.PlatformMBeanProviderImpl not found
и еще 28 строчек, по видимому, разных уточнений
кто-нибудь понимает, что делать нужно?
Как-то ставил сыну, дословно не помню возникших проблем, но решилось так: требовалась JDK8, по умолчанию обычно стоит седьмая, если вообще стоит. После установки восьмой Джавы ПКМ по лаунчеру и в меню выбрать "открыть в JAVA8 runtime" или что-то вроде. Суть в том, что если просто запустить лаунчер - он может пытаться запуститься в седьмой версии по умолчанию.  А вообще, для каждой версии лаунчера нужна своя JDK, имеет смысл посмотреть в этом направлении.
« Последнее редактирование: 28 Март 2016, 12:07:06 от Sam »

Оффлайн ivm

  • Ветеран
  • *****
  • Сообщений: 1411
Re: Minecraft
« Ответ #7 : 28 Март 2016, 12:32:09 »
Kандидатов на установку JDK-8 найдено достаточно, а вот для JDK8 ни одного.
Вот нашёл ещё Как установить JAVA 8 (JDK) последней версии на Linux.
« Последнее редактирование: 28 Март 2016, 13:02:01 от ivm »
Что непонятно спрашиваем, если всё понятно - пользуемся.

Оффлайн yx

  • Постоялец
  • ***
  • Сообщений: 202
Re: Minecraft
« Ответ #8 : 28 Март 2016, 16:55:04 »
огромное спасибо, буду копать в этом направлении. Есть ли способ узнать, под которую из джав заточен тот или иной лаунчер? Виндовый работает под виндой отлично

Оффлайн Sam

  • Постоялец
  • ***
  • Сообщений: 109
  • Сэм. Просто Сэм.
Re: Minecraft
« Ответ #9 : 28 Март 2016, 18:49:35 »
Есть ли способ узнать, под которую из джав заточен тот или иной лаунчер?
Если существует, то я такого способа не знаю  :) Как вариант - просто попробовать, благо актуальных версий Джавы всего две - 7 и 8. И они не конфликтуют, а спокойно уживаются и ставятся из одного репозитория.
sudo add-apt-repository ppa:webupd8team/java
sudo apt-get update
sudo apt-get install oracle-java7-installer
sudo apt-get install oracle-java8-installer
В таком случае по ПКМ на лаунчере будет выбор, какой из Джав запустить лаунчер.
Как выяснится нужная версия, можно выполнить команду:
sudo apt-get install oracle-java7-set-defaultподставив вместо семёрки в ней нужную Вам версию и она останется одна в системе - остальные версии удалятся. Это если они мешают.

Оффлайн yx

  • Постоялец
  • ***
  • Сообщений: 202
Re: Minecraft
« Ответ #10 : 29 Март 2016, 01:46:09 »
да уже и 9 в наличии. Она и ругалась. С 8 открывается, но себе на уме - играет только с регистрацией. И не тот вариант, что для винды скачан. А если быть честным, то вообще как-то подвисает. у меня терпения не хватило ждать, пока она регистрированную версию откроет. Впрочем, проблема может быть в отвратительном тырнете. В последнее время он просто ужасен.

Оффлайн В. Юрганов

  • Пользователь
  • **
  • Сообщений: 85
Re: Minecraft
« Ответ #11 : 30 Март 2016, 13:51:54 »
нет смысла играть в 8 версии
ибо игра без модов скоро становится скучной.
Обычно ставят фордж и моды - билдкрафт, индастриелкрафт, библиокрафт, форестри...
Там гораздо развитее механизмы, и станки, и электричество.

играю через Tlauncher 1.65

Оффлайн yx

  • Постоялец
  • ***
  • Сообщений: 202
Re: Minecraft
« Ответ #12 : 01 Апрель 2016, 12:17:34 »
вай вай вай, сколько слов незнакомых
Дайте, пожалуйста подробную инструкцию и ссылки где чего урвать!!!

Оффлайн В. Юрганов

  • Пользователь
  • **
  • Сообщений: 85
Re: Minecraft
« Ответ #13 : 04 Октябрь 2016, 10:35:11 »
вай вай вай, сколько слов незнакомых
Дайте, пожалуйста подробную инструкцию и ссылки где чего урвать!!!
не заметил реплики.

http://ru-m.org/programmy-minecraft/3776-piratskiy-launcher-minecraft-tlauncher.html скачиваешь и запускаешь файл TLauncher.jar нужной версии

что бы запускать моды (позволяющие дополнительные функции) необходимо скачать forge - у меня сейчас 1.10.2. и тд... скачиваешь тоже jar, запускаешь его и он устанавливается в ~/.minecraft/versions
моды просто копируешь в ~/.minecraft/mods
интересны моды - buildcraft, industrialcraft, forestry, EnderIO позволяющие создавать механизмы и развивать растениеводство